#include <ESP8266WiFi.h>
 
const char* ssid = "HUAWEI Y6 Prime 2018";
const char* password = "3b56700694f2";
 
WiFiServer server(80);
// this constant won't change. It's the pin number of the sensor's output:
const int pingPinT1 = D7;
const int pingPinE1 = D6;
const int pingPinT2 = D5;
const int pingPinE2 = D4;
void setup() {
  // initialize serial communication:
  Serial.begin(57600);
  delay(10);
  pinMode(pingPinT1, OUTPUT);
  pinMode(pingPinE1,INPUT);
  pinMode(pingPinT2, OUTPUT);
  pinMode(pingPinE2,INPUT);
  // Connect to WiFi network
  Serial.println();
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);
 
  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");
 
  // Start the server
  server.begin();
  Serial.println("Server started");
 
  // Print the IP address
  Serial.print("Use this URL : ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
 
}

void loop() {
  // establish variables for duration of the ping, and the distance result
  // in inches and centimeters:
/* long duration1, inches1, cm1;

  // The PING))) is triggered by a HIGH pulse of 2 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  digitalWrite(pingPinT1, LOW);
  delayMicroseconds(2);
  digitalWrite(pingPinT1, HIGH);
  delayMicroseconds(5);
  digitalWrite(pingPinT1, LOW);

  // The same pin is used to read the signal from the PING))): a HIGH pulse
  // whose duration is the time (in microseconds) from the sending of the ping
  // to the reception of its echo off of an object.
  duration1 = pulseIn(pingPinE1, HIGH);

  // convert the time into a distance
  inches1 = microsecondsToInches(duration1);
  cm1 = microsecondsToCentimeters(duration1);

 Serial.print(inches1);
  Serial.print("in, ");
  Serial.print(cm1);
  Serial.print("cm");
  Serial.println();


  
    long duration2, inches2, cm2;

  // The PING))) is triggered by a HIGH pulse of 2 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  digitalWrite(pingPinT2, LOW);
  delayMicroseconds(2);
  digitalWrite(pingPinT2, HIGH);
  delayMicroseconds(5);
  digitalWrite(pingPinT2, LOW);

  // The same pin is used to read the signal from the PING))): a HIGH pulse
  // whose duration is the time (in microseconds) from the sending of the ping
  // to the reception of its echo off of an object.
  duration2 = pulseIn(pingPinE2, HIGH);

  // convert the time into a distance
  inches2 = microsecondsToInches(duration2);
  cm2 = microsecondsToCentimeters(duration2);

  Serial.print(inches2);
  Serial.print("in, ");
  Serial.print(cm2);
  Serial.print("cm");
  Serial.println();*/
  // Check if a client has connected
  WiFiClient client = server.available();
  if (!client) {
    return;
  }
 
  // Wait until the client sends some data
  Serial.println("new client");
  while(!client.available()){
    delay(1);
    client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println(""); //  do not forget this one
  client.println("<! .  >");
     client.println("<html>");
  client.println("<head> ");
   client.print("<meta http-equiv=");
    client.print("Content-Type");
     client.print(" content=");
     client.println("text/html; charset=utf-8");
       client.println(">");
     client.println("</head>");
 
  client.println("<body bgcolor=");
  client.println("#c1b38c");
  client.println(">");

 client.println("<h1>");
 client.print("   1: ");
 client.println("</h1>");
 
 client.println("<div id=");
client.println("current_date_time_block");
client.println("></div>");

client.println("<script type=");
client.println("text/javascript");
client.println(">");
client.println("function zero_first_format(value){if (value < 10){value='0'+value;}return value;}");
client.println(" function date_time(){");
client.println("var current_datetime = new Date();");
client.println("var day = zero_first_format(current_datetime.getDate());");
client.println("var month = zero_first_format(current_datetime.getMonth()+1);");
client.println("var year = current_datetime.getFullYear();");
client.println("var hours = zero_first_format(current_datetime.getHours());");
client.println("var minutes = zero_first_format(current_datetime.getMinutes());");
client.println("var seconds = zero_first_format(current_datetime.getSeconds());");
client.print("return day+");
client.print("'.'");
client.print("+month+");
client.print("'.'");
client.print("+year+");
client.print("' '");
client.print("+hours+");
client.print("':'");
client.print("+minutes+");
client.print("':'");
client.print("+seconds");
//client.print("+\"/cm1\"");
client.print(";");
client.println("}");
client.println("setInterval(function () {document.getElementById('current_date_time_block').innerHTML = date_time();}, 2000);");


client.println("</script>");
long duration1, inches1, cm1;

  // The PING))) is triggered by a HIGH pulse of 2 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  digitalWrite(pingPinT1, LOW);
  delayMicroseconds(2);
  digitalWrite(pingPinT1, HIGH);
  delayMicroseconds(5);
  digitalWrite(pingPinT1, LOW);

  // The same pin is used to read the signal from the PING))): a HIGH pulse
  // whose duration is the time (in microseconds) from the sending of the ping
  // to the reception of its echo off of an object.
  duration1 = pulseIn(pingPinE1, HIGH);

  // convert the time into a distance
  inches1 = microsecondsToInches(duration1);
  cm1 = microsecondsToCentimeters(duration1);
 client.println(cm1);
    
    client.print("<br><br>");
  
  client.println("<h1>");
 client.print("   2: ");
 client.println("</h1>");
 client.println("<div id=");
client.println("current_date_time_block2");
client.println("></div>");

client.println("<script type=");
client.println("text/javascript");
client.println(">");
client.println("function zero_first_format(value){if (value < 10){value='0'+value;}return value;}");
client.println(" function date_time(){");
client.println("var current_datetime = new Date();");
client.println("var day = zero_first_format(current_datetime.getDate());");
client.println("var month = zero_first_format(current_datetime.getMonth()+1);");
client.println("var year = current_datetime.getFullYear();");
client.println("var hours = zero_first_format(current_datetime.getHours());");
client.println("var minutes = zero_first_format(current_datetime.getMinutes());");
client.println("var seconds = zero_first_format(current_datetime.getSeconds());");
client.print("return day+");
client.print("'.'");
client.print("+month+");
client.print("'.'");
client.print("+year+");
client.print("' '");
client.print("+hours+");
client.print("':'");
client.print("+minutes+");
client.print("':'");
client.print("+seconds");
client.print(";");
client.println("}");
client.println("setInterval(function () {document.getElementById('current_date_time_block2').innerHTML = date_time();}, 2000);");
client.println("</script>");
    long duration2, inches2, cm2;

  // The PING))) is triggered by a HIGH pulse of 2 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  digitalWrite(pingPinT2, LOW);
  delayMicroseconds(2);
  digitalWrite(pingPinT2, HIGH);
  delayMicroseconds(5);
  digitalWrite(pingPinT2, LOW);

  // The same pin is used to read the signal from the PING))): a HIGH pulse
  // whose duration is the time (in microseconds) from the sending of the ping
  // to the reception of its echo off of an object.
  duration2 = pulseIn(pingPinE2, HIGH);

  // convert the time into a distance
  inches2 = microsecondsToInches(duration2);
  cm2 = microsecondsToCentimeters(duration2);
  client.println(cm2);
  client.println(" </body>");
  client.println("</html>");
 
  delay(1);
  Serial.println("Client disconnected");
  Serial.println("");
 
  }
 
  // Read the first line of the request
  String request = client.readStringUntil('\r');
  Serial.println(request);
  client.flush();
 
}

long microsecondsToInches(long microseconds) {
  // According to Parallax's datasheet for the PING))), there are 73.746
  // microseconds per inch (i.e. sound travels at 1130 feet per second).
  // This gives the distance travelled by the ping, outbound and return,
  // so we divide by 2 to get the distance of the obstacle.
  // See: http://www.parallax.com/dl/docs/prod/acc/28015-PING-v1.3.pdf
  return microseconds / 74 / 2;
}

long microsecondsToCentimeters(long microseconds) {
  // The speed of sound is 340 m/s or 29 microseconds per centimeter.
  // The ping travels out and back, so to find the distance of the object we
  // take half of the distance travelled.
  return microseconds / 29 / 2;
}